<?php

namespace EventPortal\Providers;

use Illuminate\Support\Facades\Blade;
use Illuminate\Support\ServiceProvider;

class BladeServiceProvider extends ServiceProvider
{
    public function boot(): void
    {
        Blade::if('env', function (string $environment) {
            return app()->environment($environment);
        });

        Blade::if('unlessenv', function (string $environment) {
            return app()->environment($environment) === false;
        });
    }
}
